/*
 * $Id: ngrep.h,v 1.14 2000/06/21 18:42:53 jpr5 Exp $
 *
 * Copyright (c) 2000  Jordan Ritter <jpr5@darkridge.com>
 *
 * Please refer to the COPYRIGHT file for more information. 
 *
 */

#define ETHHDR_SIZE 14 
#define PPPHDR_SIZE 4 
#define SLIPHDR_SIZE 16
#define RAWHDR_SIZE 0
#define LOOPHDR_SIZE 4 
#define FDDIHDR_SIZE 21

#ifndef IP_OFFMASK
#define IP_OFFMASK 0x1fff
#endif

#define WORD_REGEX "((^%s\\W)|(\\W%s$)|(\\W%s\\W))"
#define IP_ONLY "ip and ( %s)"


char *get_filter(char **);
void process(u_char *, struct pcap_pkthdr*, u_char *);
void dump(char *, int); 
void clean_exit(int);
void usage(int);
void version(void);

int re_match_func(char *, int); 
int bin_match_func(char *, int);
int blank_match_func(char *, int); 

int strishex(char *);

void print_time_absolute(struct pcap_pkthdr *);
void print_time_diff(struct pcap_pkthdr *);

void dump_delay(struct pcap_pkthdr *);

#ifdef WIN32

#define PCAP_RESTART yyrestart

void *GetAdapterFromList(void *, int);
void PrintDeviceList(void);

void yyrestart(void);
int init_winsock(void);
unsigned short swap_int16(short);

#endif

